vim.g.mapleader = ','

vim.o.clipboard = 'unnamedplus'

vim.o.nohlsearch = true
vim.o.incsearch = true
vim.o.ignorecase = true

-- autocmd BufWritePre * :%s/\s\+$//e

vim.o.mouse = 'a'
vim.o.smartcase = true
vim.o.linebreak = true

vim.o.noswapfile = true
vim.o.nobackup = true
vim.o.undodir = vim.fn.expand('~/.config/nvim/undodir')
vim.o.undofile = true

vim.o.encoding = 'utf-8'
vim.o.number = true
vim.o.relativenumber = true

vim.o.tabstop = 4
vim.o.softtabstop = 4
vim.o.expandtab = true
vim.o.shiftwidth = 4
vim.o.smarttab = true

vim.o.formatoptions = 'tqj'
